%define aurox_ver 9.3
%define rel 1


%define base_version		2.0.7

Summary: Program for browsing the periodic table.
Name: gperiodic
Version: %{base_version}
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Engineering
URL: http://www.acclab.helsinki.fi/~frantz/software/gperiodic.php
Source0: http://www.acclab.helsinki.fi/~frantz/software/gperiodic-%{version}.tar.gz
Patch0: gperiodic-desktop.patch
BuildRoot: %{_tmppath}/gperiodic-%{version}-root

Requires: gtk2

BuildRequires: gtk2-devel
BuildRequires: pkgconfig

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%prep
%setup -q -n %{name}-%{version}

%patch -p1
sed -e 's/[^0-9]°//g' -e 's/[^0-9]/\&#176;/g' table_data.h > table_data2.h
mv -f table_data2.h table_data.h

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc INSTALL README NEWS AUTHORS ChangeLog gpl.txt po/gperiodic.pot
%{_bindir}/%{name}
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/pixmaps/gperiodic.png
%attr(0644,root,root) %{_datadir}/pixmaps/gperiodic-crystal.png


%changelog
* Thu Feb 12 2004 Aurox Team <aurox@aurox.org> 0:2.0.7-9.3.aur.1
- rebuild

* Fri Oct 10 2003 Robert Glowczynski <robertg@software.com.pl> 2.0.7-9.1.aur.0.2
- Fix  encoding

* Fri Oct 10 2003 Robert Glowczynski <robertg@software.com.pl> 2.0.7-9.1.aur.0.1
- upgrade to prerelease of 2.0.7 with updated translations from Arkadiusz Lipiec
- fix file attributes
- Build for Aurox 9.1

* Sat Aug 9 2003 Jonas Frantz <jonas.frantz@helsinki.fi>
- Initial build

